import type { NobjcObject } from "objc-js";
import type { _CBDescriptor } from "./CBDescriptor.js";
import type { _CBUUID } from "./CBUUID.js";
export declare class _CBMutableDescriptor extends _CBDescriptor {
    static alloc(): _CBMutableDescriptor;
    static new(): _CBMutableDescriptor;
    init(): _CBMutableDescriptor;
    /**
     * @method initWithType:value: @param UUID The Bluetooth UUID of the descriptor. @param value The value of the descriptor. @discussion Returns a decriptor, initialized with a service type and value. The <i>value</i> is required and cannot be updated dynamically once the parent service has been published.
     */
    initWithType$value$(UUID: _CBUUID, value: NobjcObject | null): _CBMutableDescriptor;
}
